DEBSUMS(1)

NUME
debsums - verifică suma MD5 a pachetelor Debian instalate

SINOPSIS
debsums [opțiuni] [pachet|deb] ...

DESCRIERE
Verifică fișierele pachetelor Debian instalate în funcție de listele de sume de control MD5 din „/var/lib/dpkg/info/*.md5sums”.

debsums poate genera liste de sume de control din arhivele deb pentru pachetele care nu includ una.

OPȚIUNI

-a, --all
    Verifică de asemenea și fișierele de configurare (în mod normal excluse).

-e, --config
    Verifică doar fișierele de configurare.

-c, --changed
    Raportează lista fișierelor modificate la ieșirea standard (implică -s).

-l, --list-missing
    Listează pachetele (sau arhivele deb) care nu au un fișier de sume de control MD5.

-s, --silent
    Raportează numai erorile.

-m, --md5sums=fișier
    Citește lista sumelor de control deb din fișier.

-r, --root=director
    Directorul rădăcină pentru verificare (implicit /).

-d, --admindir=director
    directorul de administrare al «dpkg» (implicit „/var/lib/dpkg”).

-p, --deb-path=director[:director...]
    Directoare în care să se caute arhive deb derivate din numele pachetului (implicit este directorul curent).

    O valoare utilă este „/var/cache/apt/archives” atunci când se utilizează apt-get autoclean sau nu se șterge deloc stocarea cache. Comanda:

        apt-get --reinstall -d install `debsums -l`

    poate fi utilizată pentru a popula stocarea cache cu orice arhive deb care nu se află deja în cache.

    Notă: Acest lucru nu funcționează pentru CD-ROM și alte surse locale deoarece pachetele nu sunt copiate în spațiul de stocare „/var/cache”. Sursele fișier simple (toate pachetele deb într-un singur director) ar trebui să fie adăugate la lista -p.

-g, --generate=[missing|all][,nocheck]
    Generează lista de sume de control MD5 din conținutul arhivei deb. Dacă argumentul este un nume de pachet mai degrabă decât o arhivă deb, programul va căuta o arhivă deb numită pachet_versiune_arhitectură.deb în directoarele date de opțiunea -p.

    missing
        Generează fișierul de sume de control MD5 (md5sums) din arhiva deb pentru pachetele care nu furnizează unul.

    all Ignoră sumele de pe disc și le utilizează pe cele furnizate în deb sau generate din acesta dacă nu există.

    nocheck
        The extracted/generated sums are not checked against the installed package.

    Pentru compatibilitate retroactivă, opțiunea scurtă -g este echivalentă cu --generate=missing.

--no-locale-purge
    Raportează lipsa fișierelor locale chiar dacă «localepurge» este configurat.

--no-prelink
    Raportează fișierele ELF modificate chiar dacă «prelink» este configurat.

--ignore-permissions
    Tratează erorile de permisiune ca avertismente atunci când rulează ca non-root.

--ignore-obsolete
    Ignoră fișierele conffile învechite.

--help
--version
    Afișează ajutorul și informațiile despre versiune.

STARE DE IEȘIRE
debsums returnează 0 în caz de succes, sau o combinație* a următoarelor valori în caz de eroare:

1   Un pachet sau un nume de arhivă specificat nu a fost instalat, nu este valid sau versiunea instalată nu se potrivește cu arhiva dată.

2   Fișiere de pachet modificate sau lipsă, sau o nepotrivire a sumei de control într-o arhivă.

255 Opțiune nevalidă.

*Dacă primele două condiții sunt ambele adevărate, starea de ieșire va fi 3.

EXEMPLE

debsums foo bar
    Verifică sumele pentru pachetele instalate foo și bar.

debsums foo.deb bar.deb
    Ca mai sus, folosind sume de control din (sau generate din) arhive.

debsums -l
    Listează pachetele instalate fără sume de control.

debsums -ca
    Listează fișierele de pachete modificate din toate pachetele instalate cu sume de verificare.

debsums -ce
    Listează fișierele de configurare modificate.

debsums -cagp /var/cache/apt/archives
    La fel ca mai sus, folosind sumele de control din arhivele deb aflate în cache, acolo unde sunt disponibile.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Reinstalează pachetele cu fișiere modificate.

REZULTATE

OK  Suma MD5 a fișierului este corectă.

FAILED
    Suma MD5 a fișierului nu corespunde.

REPLACED
    Fișierul a fost înlocuit cu un fișier dintr-un alt pachet.

CONSULTAȚI ȘI
md5sum(1),

MEDIU

TMPDIR
    Director pentru extragerea informațiilor și conținutului din arhivele de pachete (în mod implicit „/tmp”).

AVERTISMENTE
Deși, în general, programul poate fi rulat ca utilizator normal, unele pachete conțin fișiere care nu pot fi citite la nivel global, astfel încât nu pot fi verificate. Desigur, privilegiile sunt necesare și la generarea sumelor cu opțiunea keep.

Fișierele care au fost înlocuite de un alt pachet pot fi raportate eronat ca fiind modificate.

debsums este destinat în primul rând ca o modalitate de a determina ce fișiere instalate au fost modificate local de către administrator sau deteriorate de erori de mediu și are o utilizare limitată ca instrument de securitate.

Dacă sunteți în căutarea unui verificator de integritate care poate rula de pe medii sigure, face verificări de integritate pe baze de date de sume de control și poate fi ușor configurat pentru a rula periodic pentru a avertiza administratorul de modificări a se vedea alte instrumente, cum ar fi: aide, integrit, samhain sau tripwire.

AUTOR
Written by Brendan O'Dea <bod@debian.org>.
Bazat pe un program de Christoph Lameter <clameter@debian.org> și Petr Cech <cech@debian.org>.

DREPTURI DE AUTOR
Copyright © 2002 Brendan O'Dea <bod@debian.org>
Acesta este un software liber, licențiat în conformitate cu termenii Licenței Publice Generale GNU. Nu există nicio garanție; nici măcar pentru COMERCIALIZARE sau ADECVARE PENTRU UN SCOP PARTICULAR.